Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator.impl.handler
Class ErrorCollectorHandler

    java.lang.Object
      be.ehealth.technicalconnector.validator.impl.handler.ErrorCollectorHandler

All Implemented Interfaces:
  ErrorHandler

Direct Known Subclasses:
  ErrorCollectorHandler

    public class ErrorCollectorHandler

extends Object
implements ErrorHandler

This class will collect all the SAXParseExceptions throws by xml validation.

Field Summary
`static String` | `ERROR` ERROR of type ERROR.
`static String` | `FATAL` ERROR of type FATAL.
`static String` | `WARNING` ERROR of type WARNING.

Constructor Summary
`ErrorCollectorHandler()`
`ErrorCollectorHandler(XOPValidationHandler xopHandler)`

Method Summary
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`List<String>` | `getExceptionList(String... errorType)` This method will return the List of exceptions for the given errorTypes.
`boolean` | `hasExceptions(String... errorType)` This method will check if the requested errorType has Exception.
`void` | `warning(SAXParseException exception)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WARNING

    public static final String WARNING

  ERROR of type WARNING.

  See Also:
    Constant Field Values

### ERROR

    public static final String ERROR

  ERROR of type ERROR.

  See Also:
    Constant Field Values

### FATAL

    public static final String FATAL

  ERROR of type FATAL.

  See Also:
    Constant Field Values

Constructor Detail

### ErrorCollectorHandler

    public ErrorCollectorHandler()

### ErrorCollectorHandler

    public ErrorCollectorHandler(XOPValidationHandler xopHandler)

Method Detail

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXException`

### error

    public void error(SAXParseException exception)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`

### getExceptionList

    public final List<String> getExceptionList(String... errorType)

  This method will return the List of exceptions for the given errorTypes. Only the WARNING, ERROR, FATAL are allowed.

### hasExceptions

    public final boolean hasExceptions(String... errorType)

  This method will check if the requested errorType has Exception. Only the WARNING, ERROR, FATAL are allowed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.19.1 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.